Subject: Re: bug#36447: 27.0.50; New "Unknown keyword" errors

From: Noam Postavsky <[email-masked]>
Date: Mon, 08 Jul 2019 18:25:48 -0400

Lars Ingebrigtsen <[email-masked]> writes:

> Pip Cet <[email-masked]> writes:
>
>> Are you on master?
>
> Yup.

I've switched byte-compile-cond-use-jump-table to nil for now, so you
shouldn't be hitting this anymore.

>> Also also, can you please stash copies of the emacs binaries and
>> emacs.pdmp that fail to work? I did something very silly and overwrote
>> my compiler with a very slightly different version (after carefully
>> backing up /usr/local/bin/gcc, too. Too bad that's just the driver
>> program), and now can no longer reproduce the issue easily.
>
> OK; will do the next time it happens (but it's gone again now after yet
> another "make bootstrap")...
>
>> Is there anything I can do to help get this bug fixed on master? Thanks!
>
> The change is just the following?
>
> +  /* These structures may have been purecopied and shared
> +     (bug#36447).  */
> +  h->next = Fcopy_sequence (h->next);
> +  h->index = Fcopy_sequence (h->index);
> +  h->hash = Fcopy_sequence (h->hash);
>
> I know nothing about this, but did anybody want to fix this in a
> different way, or did the discussion just peter our?

There were some suggestions about checking PURE_P or similar to see if
the copy is really needed, but then apparently PURE_P doesn't work at
all?  I've been meaning to check that out, because it seems like there
are still a few things which aren't making sense.